## python-validate-pyproject 0.12.1

=== debian/changelog ===
python-validate-pyproject (0.12.1-1) unstable; urgency=medium

  * [0dcdd37] New upstream version 0.12.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Feb 2023 13:41:56 +0100

python-validate-pyproject (0.11-2) unstable; urgency=medium

  * [39c9aa8] d/watch: Ignore versions containing 'a' or 'b' too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 24 Jan 2023 08:49:52 +0100

python-validate-pyproject (0.11-1) unstable; urgency=medium

  * [423ce2e] New upstream version 0.11
  * [11c5d2d] Rebuild patch queue from patch-queue branch
    Dropped patches (not needed anymore):
    src-Don-t-use-vendored-fastjsonschema.patch
    tests-Don-t-use-the-_vendor-folder.patch
  * [8a8445b] d/copyright: Update content data
  * [b3787f2] d/README.source: Remove paragraph about vendored data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 Jan 2023 16:30:51 +0100

python-validate-pyproject (0.10.1+ds-1) unstable; urgency=medium

  * [e85aa94] New upstream version 0.10.1+ds
  * [413ef91] First and basic Debianization (Closes: #1028188)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 14 Jan 2023 12:39:42 +0100

## python-validate-pyproject 0.12.2

=== docs/requirements.txt ===
# Requirements file for ReadTheDocs, check .readthedocs.yml.
# To build the module reference correctly, make sure every external package
# under `install_requires` in `setup.cfg` is also listed here!
furo>=2021.10.9
sphinx>=3.2.1
sphinx-argparse>=0.3.1
sphinx-copybutton
sphinx-jsonschema>=1.16.11
sphinxemoji

=== debian/changelog ===
python-validate-pyproject (0.12.2-1) unstable; urgency=medium

  * [0c20071] New upstream version 0.12.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 29 Mar 2023 12:26:58 +0200

=== debian/control ===
Source: python-validate-pyproject
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 furo <!nodoc>,
 pybuild-plugin-pyproject,
 python-pandas-doc <!nodoc>,
 python-scipy-doc <!nodoc>,
 python-setuptools-doc <!nodoc>,
 python-sklearn-doc <!nodoc>,
 python3-all,
 python3-doc <!nodoc>,
 python3-fastjsonschema <!nocheck> <!nodoc>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-setuptools,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 sphinx-doc <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/abravalheri/validate-pyproject
Vcs-Git: https://salsa.debian.org/python-team/packages/validate-pyproject.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/validate-pyproject

Package: python-validate-pyproject-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Automated checks on pyproject.toml by JSON Schema definitions (Documentation)
 With the approval of PEP 517 and PEP 518, the Python community shifted
 towards a strong focus on standardisation for packaging software, which
 allows more freedom when choosing tools during development and make sure
 packages created using different technologies can interoperate without the
 need for custom installation procedures.
 .
 This shift became even more clear when PEP 621 was also approved, as a
 standardised way of specifying project metadata and dependencies.
 .
 validate-pyproject was born in this context, with the mission of validating
 pyproject.toml files, and make sure they are compliant with the standards
 and PEPs. Behind the scenes, validate-pyproject relies on JSON Schema files,
 which, in turn, are also a standardised way of checking if a given data
 structure complies with a certain specification.
 .
 This package contains the Sphinx based HTML documentation.

Package: python3-validate-pyproject
Architecture: all
Depends:
 python3-fastjsonschema,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-validate-pyproject-doc,
Description: Automated checks on pyproject.toml by JSON Schema definitions
 With the approval of PEP 517 and PEP 518, the Python community shifted
 towards a strong focus on standardisation for packaging software, which
 allows more freedom when choosing tools during development and make sure
 packages created using different technologies can interoperate without the
 need for custom installation procedures.
 .
 This shift became even more clear when PEP 621 was also approved, as a
 standardised way of specifying project metadata and dependencies.
 .
 validate-pyproject was born in this context, with the mission of validating
 pyproject.toml files, and make sure they are compliant with the standards
 and PEPs. Behind the scenes, validate-pyproject relies on JSON Schema files,
 which, in turn, are also a standardised way of checking if a given data
 structure complies with a certain specification.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=validate_pyproject
export PYBUILD_BEFORE_TEST=cp {dir}/src/validate_pyproject/*.json {build_dir}/validate_pyproject && \
cp {dir}/src/validate_pyproject/plugins/*.json {build_dir}/validate_pyproject/plugins && \
cp {dir}/src/validate_pyproject/pre_compile/*.template {build_dir}/validate_pyproject/pre_compile
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/.coverage

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-validate-pyproject-doc/usr/share/doc/python-validate-pyproject-doc/html
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -X changelog.html

## python-validate-pyproject 0.13

=== debian/changelog ===
python-validate-pyproject (0.13-1) unstable; urgency=medium

  * [e5c06bf] New upstream version 0.13

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 24 May 2023 10:58:56 +0200

## python-validate-pyproject 0.14

=== debian/changelog ===
python-validate-pyproject (0.14-1) unstable; urgency=medium

  * [a8525e1] New upstream version 0.14
  * [d28ad0d] d/rules: Add target override_dh_clean
    (Closes: #1045381)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 04 Sep 2023 19:39:18 +0530

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,11 @@
 
 override_dh_compress:
 	dh_compress -X changelog.html
+
+override_dh_clean:
+	dh_clean
+	rm -f docs/api/modules.rst \
+		  docs/api/validate_pyproject.plugins.rst \
+		  docs/api/validate_pyproject.pre_compile.rst \
+		  docs/api/validate_pyproject.rst \
+		  docs/api/validate_pyproject.vendoring.rst

## python-validate-pyproject 0.16

=== docs/requirements.txt ===
# Requirements file for ReadTheDocs, check .readthedocs.yml.
# To build the module reference correctly, make sure every external package
# under `install_requires` in `setup.cfg` is also listed here!
furo>=2023.08.17
sphinx>=7.2.2
sphinx-argparse>=0.3.1
sphinx-copybutton
sphinx-jsonschema>=1.16.11
sphinxemoji

=== debian/changelog ===
python-validate-pyproject (0.16-1) unstable; urgency=medium

  * [62f2eb4] New upstream version 0.16
  * [9121f42a] Rebuild patch queue from patch-queue branch
    Just refresh the existing patches.
  * [342b7f8] d/rules: Extend dh_clean to clean up .mypy_cache folder
  * [7d399b1] d/rules: Add some tests to exclude
  * [09debec] autopkgtest: Exclude same tests here too
  * [28d0d11] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 27 Jan 2024 19:01:35 +0100

python-validate-pyproject (0.15-1) unstable; urgency=medium

  * [fa74cf0] New upstream version 0.15

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 06 Dec 2023 19:59:38 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,11 @@
 cp {dir}/src/validate_pyproject/plugins/*.json {build_dir}/validate_pyproject/plugins && \
 cp {dir}/src/validate_pyproject/pre_compile/*.template {build_dir}/validate_pyproject/pre_compile
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/.coverage
+export PYBUILD_TEST_ARGS=-k 'not \
+test_examples_api and not \
+test_examples_cli and not \
+test_invalid_examples_api and not \
+test_invalid_examples_cli'
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -28,6 +33,7 @@
 
 override_dh_clean:
 	dh_clean
+	rm -rf .mypy_cache
 	rm -f docs/api/modules.rst \
 		  docs/api/validate_pyproject.plugins.rst \
 		  docs/api/validate_pyproject.pre_compile.rst \

=== debian/tests/control ===
Tests: upstream-tests
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 @,
Restrictions:
 allow-stderr

## python-validate-pyproject 0.18

=== debian/changelog ===
python-validate-pyproject (0.18-1) unstable; urgency=medium

  * [7320d1a] d/README.source: Update data about intersphinx extensions
  * [fc09971] New upstream version 0.18
  * [c2a6a84] Rebuild patch queue from patch-queue branch
    Updated patch:
    docs-Exclude-some-not-available-Sphinx-extensions.patch
  * [8602b7c] d/rules: Don't run test_cache_open_url in tests
  * [d60bcfa] autopkgtests: Ignore here test_cache_open_url too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 12 Jun 2024 18:21:28 +0200

python-validate-pyproject (0.16-2) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
  * Build docs using python3-sphinx-argparse & python3-sphinxemoji now that they are packaged.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 18:12:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- dh-sequence-sphinxdoc,
+ dh-sequence-sphinxdoc <!nodoc>,
  furo <!nodoc>,
  pybuild-plugin-pyproject,
  python-pandas-doc <!nodoc>,
@@ -20,6 +20,10 @@
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-setuptools,
+ python3-setuptools-scm,
+ python3-sphinxemoji <!nodoc>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-argparse <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  sphinx-doc <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 cp {dir}/src/validate_pyproject/pre_compile/*.template {build_dir}/validate_pyproject/pre_compile
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/.coverage
 export PYBUILD_TEST_ARGS=-k 'not \
+test_cache_open_url and not \
 test_examples_api and not \
 test_examples_cli and not \
 test_invalid_examples_api and not \

## python-validate-pyproject 0.20.2

=== debian/changelog ===
python-validate-pyproject (0.20.2-1) unstable; urgency=medium

  * [d10ae59] New upstream version 0.20.2
  * [42e6db4] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * [d5d02ed] d/control: Add missing python-fastjsonschema-doc to B-D

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 02 Oct 2024 20:39:14 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  dh-sequence-sphinxdoc <!nodoc>,
  furo <!nodoc>,
  pybuild-plugin-pyproject,
+ python-fastjsonschema-doc <!nodoc>,
  python-pandas-doc <!nodoc>,
  python-scipy-doc <!nodoc>,
  python-setuptools-doc <!nodoc>,
@@ -21,13 +22,13 @@
  python3-pytest-cov <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
- python3-sphinxemoji <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-sphinx-argparse <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
+ python3-sphinxemoji <!nodoc>,
  sphinx-doc <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/abravalheri/validate-pyproject
 Vcs-Git: https://salsa.debian.org/python-team/packages/validate-pyproject.git

## python-validate-pyproject 0.23

=== debian/changelog ===
python-validate-pyproject (0.23-2) unstable; urgency=medium

  * Team upload.
  * Drop unused build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Nov 2024 19:21:36 +0100

python-validate-pyproject (0.23-1) unstable; urgency=medium

  * [4b2d28d] New upstream version 0.23
  * [0ad872f] d/rules: Ignore test_invalid_pep639_license_expression
  * [5e4058a] autopkgtest: Also ignore this test here
  * [9f4588d] d/rules: Drop -D option from SPHINXOPTS

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 14 Nov 2024 16:23:19 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  python-pandas-doc <!nodoc>,
  python-scipy-doc <!nodoc>,
  python-setuptools-doc <!nodoc>,
- python-sklearn-doc <!nodoc>,
  python3-all,
  python3-doc <!nodoc>,
  python3-fastjsonschema <!nocheck> <!nodoc>,

## python-validate-pyproject 0.24

=== debian/changelog ===
python-validate-pyproject (0.24-1) unstable; urgency=medium

  * [ef9d7c1] d/control: Adjust to the updated project path on Salsa
  * [93863f0] New upstream version 0.24
  * [a0c581d] Rebuild patch queue from patch-queue branch
    Updated patch:
    docs-Exclude-some-not-available-Sphinx-extensions.patch
  * [6c00624] d/control: Add two more B-D for -doc build
  * [087dac6] d/README.source: Update info around -doc package
  * [1ffb549] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [2d48552] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 20 Mar 2025 18:13:47 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,12 @@
  furo <!nodoc>,
  pybuild-plugin-pyproject,
  python-fastjsonschema-doc <!nodoc>,
+ python-matplotlib-doc <!nodoc>,
+ python-numpy-doc <!nodoc>,
  python-pandas-doc <!nodoc>,
  python-scipy-doc <!nodoc>,
  python-setuptools-doc <!nodoc>,
+ python-sklearn-doc <!nodoc>,
  python3-all,
  python3-doc <!nodoc>,
  python3-fastjsonschema <!nocheck> <!nodoc>,
@@ -27,11 +30,11 @@
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sphinxemoji <!nodoc>,
  sphinx-doc <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/abravalheri/validate-pyproject
-Vcs-Git: https://salsa.debian.org/python-team/packages/validate-pyproject.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/validate-pyproject
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-validate-pyproject.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-validate-pyproject
 
 Package: python-validate-pyproject-doc
 Architecture: all

=== debian/watch ===
version=4

opts="mode=git, \
      pgpmode=none, \
      compression=gz, \
      repacksuffix=ds, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://github.com/abravalheri/validate-pyproject.git \
      refs/tags/v@ANY_VERSION@

## python-validate-pyproject 0.24.1

=== debian/changelog ===
python-validate-pyproject (0.24.1-1) unstable; urgency=medium

  * Team upload.
  * [77a7d4e] New upstream version 0.24.1

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Mon, 14 Apr 2025 20:21:52 +0530

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  python-pandas-doc <!nodoc>,
  python-scipy-doc <!nodoc>,
  python-setuptools-doc <!nodoc>,
- python-sklearn-doc <!nodoc>,
  python3-all,
  python3-doc <!nodoc>,
  python3-fastjsonschema <!nocheck> <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -3,22 +3,21 @@
 
 #export DH_VERBOSE=1
 
-include /usr/share/dpkg/pkg-info.mk
-
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
-SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
+SPHINXOPTS := -E -N
 
 export PYBUILD_NAME=validate_pyproject
 export PYBUILD_BEFORE_TEST=cp {dir}/src/validate_pyproject/*.json {build_dir}/validate_pyproject && \
 cp {dir}/src/validate_pyproject/plugins/*.json {build_dir}/validate_pyproject/plugins && \
 cp {dir}/src/validate_pyproject/pre_compile/*.template {build_dir}/validate_pyproject/pre_compile
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/.coverage
-export PYBUILD_TEST_ARGS=-k 'not \
-test_cache_open_url and not \
-test_examples_api and not \
-test_examples_cli and not \
-test_invalid_examples_api and not \
-test_invalid_examples_cli'
+export PYBUILD_TEST_ARGS=-k '\
+	not test_cache_open_url \
+and not test_examples_api \
+and not test_examples_cli \
+and not test_invalid_examples_api \
+and not test_invalid_examples_cli \
+and not test_invalid_pep639_license_expression \
+'
 
 %:
 	dh $@ --buildsystem=pybuild
